Support » Plugin: Font Awesome » Conflict with iThems BackupBuddy

  • Resolved gbell12

    (@gbell12)


    “PHP message: PHP Fatal error: Cannot redeclare GuzzleHttp\uri_template() (previously declared in /srv/website/public_html/wp-content/plugins/font-awesome/vendor/guzzlehttp/guzzle/src/functions.php:17) in /srv/website/public_html/wp-content/plugins/backupbuddy/destinations/_s3lib3/GuzzleHttp/functions.php on line 31

    iThemes says

    “That issue is actually caused by the other plugin and needs to be fixed by their developers. Basic issue is that their plugin is indiscriminately loading 3rd party library code and this is causing a conflict with the legitimate actions of BackupBuddy.

    Unfortunately WordPress (well PHP really) doesn’t have a mechanism for supporting the loading of multiple versions of 3rd party libraries and so in the context of WordPress this means that plugins/themes have to be good WordPress citizens and not do these sort of things that will interfere with the operation of other plugins.

    In order to resolve this issue the other plugin developers need to update their code such that their plugin only loads such libraries when it has determined that it is being called upon to do some action that requires the library.”

Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘Conflict with iThems BackupBuddy’ is closed to new replies.